title: algokey generate
---
## algokey generate



Generate key



```

algokey generate [flags]

```



### Options



```

  -h, --help                help for generate

  -f, --keyfile string      Private key filename

  -p, --pubkeyfile string   Public key filename

```



### SEE ALSO



* [algokey](../../algokey/algokey/)	 - CLI for managing Algorand keys



